<?php
/**
 * Controller to handling get twitter images
 *
 * @package wp-image-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPImpr_Ajax_Gettwitterdetail' ))
{

  require IPIMPR_LIB . "TwitterOAuth/TwitterOAuth.php";

  class IPImpr_Ajax_Gettwitterdetail
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $status  = 0;
      $photo   = array();

      //
      //Get key
      $apiKey      = get_option( '__ipimpr_twitter_api_key' );
      $apiSecret   = get_option( '__ipimpr_twitter_api_secret' );
      $token       = get_option( '__ipimpr_twitter_access_token' );
      $tokenSecret = get_option( '__ipimpr_twitter_access_token_secret' );

      if ( ! empty( $_POST['id'] ) && $apiKey && $apiSecret && $token && $tokenSecret )
      {
        $id = $_POST['id'];

        try {
          $twitter = new TwitterOAuth( $apiKey, $apiSecret, $token, $tokenSecret );
          $tweet   = $twitter->get('statuses/show', array(
              'id'  => $id
          ));
          if ( ! empty( $tweet->status ))
          {
            if ( ! empty( $tweet->status->retweeted_status )) {
              $status = $tweet->status->retweeted_status;
            } else {
              $status = $tweet->status;
            }
            if ( ! empty( $status->entities->media ))
            {
              foreach( $status->entities->media as $media )
              {
                $media = (array)$media;
                $media['title'] = $status->text;
                $photo = $media;
                break;
              }
            }
          }
        }
        catch (Exception $e) {
          $photo = array();
        }
      }

      echo json_encode( array(
        'status'    => $status,
        'photo'     => $photo
      ) );
      die();

    }

  }
}
