<?php
/**
 * Media search frame view
 *
 * @package wp-surveyer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<script>
  <?php
  //
  //Flickr
  //
  $flickrKey    = get_option( '__ipimpr_flickr_api_key' );
  $flickrSecret = get_option( '__ipimpr_flickr_api_secret' );
  if ( ! empty( $flickrKey ) && ! empty( $flickrSecret ))
  {
    echo 'var ipimpr_flickr = true;';
    echo 'var ipimpr_flickr_api_key = "' . $flickrKey . '";';
    echo 'var ipimpr_flickr_api_secret = "' . $flickrSecret . '";';
  }
  else
  {
    echo 'var ipimpr_flickr = false;';
    echo 'var ipimpr_flickr_api_key = "";';
    echo 'var ipimpr_flickr_api_secret = "";';
  }

  //
  //Pixabay
  //
  $pixabayKey = get_option( '__ipimpr_pixabay_api_key' );
  if ( ! empty( $pixabayKey ))
  {
    echo 'var ipimpr_pixabay = true;';
    echo 'var ipimpr_pixabay_api_key = "' . $pixabayKey . '";';
  }
  else
  {
    echo 'var ipimpr_pixabay = false;';
    echo 'var ipimpr_pixabay_api_key = "";';
  }

  //
  //Instagram
  //
  $instagramKey = get_option( '__ipimpr_instagram_api_key' );
  if ( ! empty( $instagramKey ))
  {
    echo 'var ipimpr_instagram = true;';
    echo 'var ipimpr_instagram_api_key = "' . $instagramKey . '";';
  }
  else
  {
    echo 'var ipimpr_instagram = false;';
    echo 'var ipimpr_instagram_api_key = "";';
  }

  //
  //Unsplash
  //
  $unsplashKey = get_option( '__ipimpr_unsplash_app_id' );
  if ( ! empty( $unsplashKey ))
  {
    echo 'var ipimpr_unsplash = true;';
    echo 'var ipimpr_unsplash_app_id = "' . $unsplashKey . '";';
  }
  else
  {
    echo 'var ipimpr_unsplash = false;';
    echo 'var ipimpr_unsplash_app_id = "";';
  }
  ?>
</script>
<!-- Start: #ipimpr-search-frame -->
<div id="ipimpr-search-frame" class="ipimpr-ui-modal ipimpr_scwrap ipimpr-wrap ipimpr-frame-fullwidth" style="display: none;">
  <!-- Start: .ipimpr-ui-modal-main -->
  <div class="ipimpr-ui-modal-main">
    <div id="ipimpr_scfirst_form" class="ipimpr-ui-modal-inner">
      <!-- Start: .ipimpr-ui-modal-title -->
      <div class="ipimpr-ui-modal-title">
        <h3>
          <span class="dashicons-before dashicons-format-gallery"></span>
          <?php _e( 'Get Royalty Free Images', IPIMPR_SLUG ); ?>
        </h3>
        <div class="ipimpr-ui-close">
          <a class="ipimpr-ui-close-link" href="#">x</a>
        </div>
      </div>
      <!-- End: .ipimpr-ui-modal-title -->

      <!-- Start: .ipimpr-ui-modal-content -->
      <div class="ipimpr-ui-modal-content">

        <!-- Start: .ipimpr-search-main -->
        <div class="ipimpr-search-main">

          <!-- Start: .ipimpr-search-actions -->
          <div class="ipimpr-search-actions">
            <div class="container container-fluid">
              <div class="row">
                <div class="col-md-6">
                  <!-- Start: .ipimpr-search-keyword -->
                  <div class="ipimpr-search-keyword">
                    <form class="ipimpr-search-keyword-form clearfix" action="" method="post">
                      <input type="text" id="ipimpr-search-keyword-input" name="keyword" value="" placeholder="<?php _e( 'Enter image keyword', IPIMPR_SLUG ); ?>">
                      <button type="submit" name="submit_keyword" id="ipimpr-search-keyword-button" class="">
                        <i class="ipimpr-fa ipimpr-fa-search"></i>
                      </button>
                    </form>
                  </div>
                  <!-- End: .ipimpr-search-keyword -->

                  <!-- Start: .ipimpr-search-info -->
                  <div class="ipimpr-search-info">
                    <div class="_loader" style="display:none;">
                      <i class="ipimpr-fa ipimpr-fa-spin ipimpr-fa-spinner"></i>
                      <?php _e( 'Loading image ...', IPIMPR_SLUG ); ?>
                    </div>
                    <div class="_result" style="display:none;">
                      <?php printf( _n( 'Showing <span class="_count">%s</span> search result', 'Showing <span class="_count">%s</span> search results', 1, IPIMPR_SLUG ), 0 ); ?>
                    </div>
                  </div>
                  <!-- End: .ipimpr-search-info -->
                </div>
                <div class="col-md-6 text-right">
                  <!-- Start: .ipimpr-search-filter -->
                  <div class="ipimpr-search-filter" style="display:none;">
                    <form class="ipimpr-search-filter-form" action="" method="post">
                      <?php
                      $providers = array(
                        'all' => __( 'All Media Providers', IPIMPR_SLUG )
                      );
                      ?>
                      <select name="provider" id="ipimpr-provider-input">
                        <option value="all"><?php _e( 'All Media Providers', IPIMPR_SLUG ); ?></option>
                      </select>

                      <button type="submit" name="submit_filter" id="ipimpr-search-filter-button" class="">
                        <?php _e( 'Filter', IPIMPR_SLUG ); ?>
                      </button>
                    </form>
                  </div>
                  <!-- End: .ipimpr-search-filter -->
                </div>
              </div>
            </div>

          </div>
          <!-- End: .ipimpr-search-actions -->

          <!-- Start: .ipimpr-search-results -->
          <div class="ipimpr-search-results">
            <!-- Start: .ipimpr-search-results-main -->
            <div class="ipimpr-search-results-main">
              <div class="_empty">
                <?php _e( 'There were no pictures. To get a picture from the best stock photo sites, then set the keywords first through the search form in above.', IPIMPR_SLUG ); ?>
              </div>
              <!-- Start: ._result -->
              <div class="_result">
                <div class="_images clearfix">

                </div>
              </div>
              <!-- End: ._result -->
            </div>
            <!-- End: .ipimpr-search-results-main -->

            <!-- Start: .ipimpr-image-detail -->
            <div class="ipimpr-image-detail">
              <div class="_inner">
                <h4><?php _e( 'Photo Detail', IPIMPR_SLUG ); ?></h4>

                <!-- Start: ._detail-content -->
                <div class="_detail-content" style="display:none;">
                  <!-- Start: ._detail-image -->
                  <div class="_detail-image">
                    <img class="_detail-image-file" src="" alt="">

                    <div class="_detail-image-info">
                      <h4 class="_detail-image-title"></h4>
                      <span class="_detail-image-size"></span>
                    </div>
                  </div>
                  <!-- End: ._detail-image -->

                  <!-- Start: ._detail-meta -->
                  <div class="_detail-meta">
                    <!-- Start: ._detail-meta-item -->
                    <div class="_detail-meta-item">
                      <strong class="_detail-meta-label"><?php _e( 'Title', IPIMPR_SLUG ); ?></strong>
                      <div class="_detail-meta-value _detail-meta-title">-</div>
                    </div>
                    <!-- End: ._detail-meta-item -->

                    <!-- Start: ._detail-meta-item -->
                    <div class="_detail-meta-item">
                      <strong class="_detail-meta-label"><?php _e( 'Caption', IPIMPR_SLUG ); ?></strong>
                      <div class="_detail-meta-value _detail-meta-caption">-</div>
                    </div>
                    <!-- End: ._detail-meta-item -->

                    <!-- Start: ._detail-meta-item -->
                    <div class="_detail-meta-item">
                      <strong class="_detail-meta-label"><?php _e( 'Alt Text', IPIMPR_SLUG ); ?></strong>
                      <div class="_detail-meta-value _detail-meta-alt">-</div>
                    </div>
                    <!-- End: ._detail-meta-item -->
                    <!-- Start: ._detail-meta-item -->
                    <div class="_detail-meta-item">
                      <strong class="_detail-meta-label"><?php _e( 'Description', IPIMPR_SLUG ); ?></strong>
                      <div class="_detail-meta-value _detail-meta-desc">-</div>
                    </div>
                    <!-- End: ._detail-meta-item -->

                  </div>
                  <!-- End: ._detail-meta -->

                </div>
                <!-- End: ._detail-content -->

              </div>
            </div>
            <!-- End: .ipimpr-image-detail -->

          </div>
          <!-- End: .ipimpr-search-results -->

        </div>
        <!-- End: .ipimpr-search-main -->

      </div>
      <!-- End: .ipimpr-ui-modal-content -->

    </div>
    <!-- End: .ipimpr-ui-modal-inner -->

    <!-- Start: .ipimpr-ui-modal-action -->
    <div class="ipimpr-ui-modal-action">
      <form action="" method="post">
        <input type="hidden" id="ipimpr-photo-id-selected" value="">
        <input type="hidden" id="ipimpr-photo-type-selected" value="">
        <input type="hidden" id="ipimpr-photo-url-selected" value="">

        <div class="text-right">
          <button type="button" id="ipimpr-search-insert" class="ipimpr-btn ipimpr-btn-md ipimpr-btn-primary disabled mr10" disabled>
            <?php _e( 'Insert to Post', IPIMPR_SLUG ); ?>
          </button>
          <button type="button" id="ipimpr-search-save" class="ipimpr-btn ipimpr-btn-md ipimpr-btn-secondary disabled" disabled>
            <?php _e( 'Edit Image', IPIMPR_SLUG ); ?>
          </button>
        </div>
      </form>
    </div>
    <!-- End: .ipimpr-ui-modal-action -->

  </div>
  <!-- End: .ipimpr-ui-modal-main -->

</div>
<!-- End: #ipimpr-search-frame -->
