<?php
/**
 * Controller to handling saving image data
 *
 * @package wp-image-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPImpr_Ajax_Saveimage' ))
{
  class IPImpr_Ajax_Saveimage
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $status   = 0;
      $message  = '';
      $resultId = 0;

      if ( ! empty( $_POST['imageData'] ) && ! empty( $_POST['imageId'] ) )
      {
        $data = $_POST['imageData'];
        list($type, $data) = explode(';', $data);
        list(, $data)      = explode(',', $data);
        $data = str_replace(' ', '+', $data);
        $data = base64_decode($data);

        if ( ! empty( $data ) )
        {
          $attchId   = absint( $_POST['imageId'] );
          $attchData = wp_get_attachment_metadata( $attchId, 'full' );
          if ( ! empty( $attchData['file'] ))
          {
            $time = time();
            $dirs = wp_upload_dir();
            $path = $dirs['basedir'];
            $path .= "/" . $attchData['file'];

            $filedir   = dirname( $path );
            $filename  = basename( $path );
            $_names    = explode( '.', $filename );
            $filename  = array_shift( $_names );
            $fileext   = array_shift( $_names );
            $filename .= '-' . $time . '.png';
            $filepath  = $filedir . '/' . $filename;

            file_put_contents( $filepath, $data );

            //Insert attachment
            $attData = array(
            	'guid'           => $dirs['url'] . '/' . basename( $filepath ),
            	'post_mime_type' => 'image/png',
            	'post_title'     => preg_replace( '/\.[^.]+$/', '', basename( $filepath ) ),
            	'post_content'   => '',
            	'post_status'    => 'inherit'
            );
            $attach_id = wp_insert_attachment( $attData, $filepath );
            // Make sure that this file is included, as wp_generate_attachment_metadata() depends on it.
            require_once( ABSPATH . 'wp-admin/includes/image.php' );

            // Generate the metadata for the attachment, and update the database record.
            $attach_data = wp_generate_attachment_metadata( $attach_id, $filepath );
            wp_update_attachment_metadata( $attach_id, $attach_data );

            $status   = 1;
            $message  = __( 'Successfully saved the image.', IPIMPR_SLUG );
            $resultId = $attach_id;

          }
        }
      }

      echo json_encode( array(
        'status'    => $status,
        'message'   => $message,
        'id'        => $resultId
      ) );
      die();
    }

  }
}
